#include "arg.ih"

bool Arg__::noArg()
{
    if (d_assignment)           // long option with a value assignment
    {
        d_optionType = PLAIN_LONG_OPTION;
        return false;
    }

    ++d_nLongOptions;
    d_longOpts[d_option].emplace_back("");

    return true;
}
